<?php

namespace App\Services\Business;

use App\Services\Business\KuaiTuanTuan\KuaiTuanTuan;
use App\Services\Business\MiaoXuan\MiaoXuan;

class BusinessFactory
{
    private $platList;

    public function __construct()
    {
        $this->platList['快团团'] = KuaiTuanTuan::class;
        $this->platList['妙选'] = MiaoXuan::class;
    }

    public function make($platName)
    {
        return new $this->platList[$platName];
    }

    public static function init()
    {
        return new self();
    }
}
